## NMSettingOlpcMesh NMSettingOlpcMesh |

## Synopsis

    #define             NM_SETTING_OLPC_MESH_SETTING_NAME
    enum                NMSettingOlpcMeshError;
    #define             NM_TYPE_SETTING_OLPC_MESH_ERROR
    #define             NM_SETTING_OLPC_MESH_ERROR
    GQuark              nm_setting_olpc_mesh_error_quark    (void);
    #define             NM_SETTING_OLPC_MESH_SSID
    #define             NM_SETTING_OLPC_MESH_CHANNEL
    #define             NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS
                        NMSettingOlpcMesh;
                        NMSettingOlpcMeshClass;
    GType               nm_setting_olpc_mesh_get_type       (void);
    NMSetting *         nm_setting_olpc_mesh_new            (void);
    const GByteArray *  nm_setting_olpc_mesh_get_ssid       (NMSettingOlpcMesh *setting);
    guint32             nm_setting_olpc_mesh_get_channel    (NMSettingOlpcMesh *setting);
    const GByteArray *  nm_setting_olpc_mesh_get_dhcp_anycast_address
                                                            (NMSettingOlpcMesh *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingOlpcMesh

## Properties

      "channel"                  guint                 : Read / Write / Construct
      "dhcp-anycast-address"     GArray_guchar_*       : Read / Write
      "ssid"                     GArray_guchar_*       : Read / Write

## Description

## Details

### NM_SETTING_OLPC_MESH_SETTING_NAME

    #define NM_SETTING_OLPC_MESH_SETTING_NAME "802-11-olpc-mesh"

### enum NMSettingOlpcMeshError

    typedef enum
    {
    	NM_SETTING_OLPC_MESH_ERROR_UNKNOWN = 0,
    	NM_SETTING_OLPC_MESH_ERROR_INVALID_PROPERTY,
    	NM_SETTING_OLPC_MESH_ERROR_MISSING_PROPERTY
    } NMSettingOlpcMeshError;

### NM_TYPE_SETTING_OLPC_MESH_ERROR

    #define NM_TYPE_SETTING_OLPC_MESH_ERROR (nm_setting_olpc_mesh_error_get_type ())

### NM_SETTING_OLPC_MESH_ERROR

    #define NM_SETTING_OLPC_MESH_ERROR nm_setting_olpc_mesh_error_quark ()

### nm_setting_olpc_mesh_error_quark ()

    GQuark              nm_setting_olpc_mesh_error_quark    (void);

Returns : |

### NM_SETTING_OLPC_MESH_SSID

    #define NM_SETTING_OLPC_MESH_SSID                 "ssid"

### NM_SETTING_OLPC_MESH_CHANNEL

    #define NM_SETTING_OLPC_MESH_CHANNEL              "channel"

### NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

    #define NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS "dhcp-anycast-address"

### NMSettingOlpcMesh

    typedef struct _NMSettingOlpcMesh NMSettingOlpcMesh;

### NMSettingOlpcMeshClass

    typedef struct {
    	NMSettingClass parent;

    	/* Padding for future expansion */
    	void (*_reserved1) (void);
    	void (*_reserved2) (void);
    	void (*_reserved3) (void);
    	void (*_reserved4) (void);
    } NMSettingOlpcMeshClass;

### nm_setting_olpc_mesh_get_type ()

    GType               nm_setting_olpc_mesh_get_type       (void);

Returns : |

### nm_setting_olpc_mesh_new ()

    NMSetting *         nm_setting_olpc_mesh_new            (void);

Creates a new NMSettingOlpcMesh object with default values.

Returns : | the new empty NMSettingOlpcMesh object

### nm_setting_olpc_mesh_get_ssid ()

    const GByteArray *  nm_setting_olpc_mesh_get_ssid       (NMSettingOlpcMesh *setting);

`setting` : |
Returns : |

### nm_setting_olpc_mesh_get_channel ()

    guint32             nm_setting_olpc_mesh_get_channel    (NMSettingOlpcMesh *setting);

`setting` : |
Returns : |

### nm_setting_olpc_mesh_get_dhcp_anycast_address ()

    const GByteArray *  nm_setting_olpc_mesh_get_dhcp_anycast_address
                                                            (NMSettingOlpcMesh *setting);

`setting` : |
Returns : |

## Property Details

### The `"channel"` property

      "channel"                  guint                 : Read / Write / Construct

Channel on which the mesh network to join is located.

Default value: 0

### The `"dhcp-anycast-address"` property

      "dhcp-anycast-address"     GArray_guchar_*       : Read / Write

Anycast DHCP address used when requesting an IP address via DHCP. The specific anycast address used determines which DHCP server class answers the request.

### The `"ssid"` property

      "ssid"                     GArray_guchar_*       : Read / Write

SSID of the mesh network to join.